PDA

Visualizza versione completa : Java ME - Eccezione "ClassNotFound" con nuovi progetti in eclipse



Andy86
07-12-10, 14: 21
:bai

Non se ho incasinato qualche impostazione o se non digerisce qualcosa, ho già provato a passare da eclipseME a MJT for eclipse, ma quando creo un nuovo progetto MIDlet mi viene ritornata una "ClassNotFoundException" sulla classe che estende MIDlet.

Se provo ad eseguire altre applicazioni già create prima, queste partono senza problemi, mentre qualunque applicazione exNovo (sempre di tipo MIDlet), ritorna questo tipo di errore.

Ho provato di tutto, tutte le opzioni che possono essere relative al classpath corrispondono tra funzionanti e non, l'errore si presenta sia su Ubuntu che su Windows. :sisi
Accetto idee e suggerimenti di qualunque tipo. :thx

djdedo
07-12-10, 16: 13
Ciao l'errore è solo quello? Non dice a quale classe si riferisce?

Andy86
07-12-10, 18: 26
:bai

Come ho detto, la classe non trovata è quella che estende MIDlet
Only registered members can view code.Comunque dopo avvio di sistema successivo a installazione MTJ, il problema su windows è scomparso, dopo vedo su Ubuntu. :sisi

Andy86
08-12-10, 12: 57
L'errore è tornato, su entrambe i sistemi operativi. (Mentre ieri era sparito su entrambe).

Ora comunque credo che userò eclipse solo su Ubuntu, in quanto MTJ non permette la creazione di due emulatori appartenenti a due sistemi come EclipseME. Se non elimino quello col percorso in quel momento non valido si lamenta.

Errore:


Only registered members can view code.Classe che da l'errore:


Only registered members can view code.Per assurdo che sia, in quella classe non è cambiato niente tra l'apparizione e la sparizione dell'errore, solo in quelle collegate.

---------------------------------------------------------------------------------
EDIT:

Errore di nuovo sparito resettando la scelta dell'emulatore... Boh, non so più cosa pensare... Ok ci fosse un problema alla configurazione dell'emulatore, ma il presentarsi all'improvviso senza motivo... :boh

Comunque ora, come detto sopra, eclipse solo su Ubuntu, e vediamo se l'accorrere del problema si limita. :sisi